# dask.dataframe.DataFrame.applymap

DataFrame.applymap(func, meta=<no_default>)

  Apply a function to a Dataframe elementwise.

  This docstring was copied from pandas.core.frame.DataFrame.applymap.

  Some inconsistencies with the Dask version may exist.

  Deprecated since version 2.1.0: DataFrame.applymap has been deprecated. Use DataFrame.map instead.

  This method applies a function that accepts and returns a scalar to every element of a DataFrame.

  Parameters:
    func callable

      Python function, returns a single value from a single value.

    na_action{None, ‘ignore’}, default None (Not supported in Dask)

      If ‘ignore’, propagate NaN values, without passing them to func.

    **kwargs

      Additional keyword arguments to pass as keywords arguments to func.

  Returns:
    DataFrame

      Transformed DataFrame.

  See also

  `DataFrame.apply`

    Apply a function along input axis of DataFrame.

  `DataFrame.map`

    Apply a function along input axis of DataFrame.

  `DataFrame.replace`

    Replace values given in to_replace with value.

  Examples

      >>> df = pd.DataFrame([[1, 2.12], [3.356, 4.567]])
      >>> df
             0      1
      0  1.000  2.120
      1  3.356  4.567

      >>> df.map(lambda x: len(str(x)))
         0  1
      0  3  4
      1  5  5